> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/devices/oauth/authorization

> Process OAuth authorization for device onboarding

## OpenAPI

````json GET /v1/devices/oauth/authorization
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/devices/oauth/authorization": {
      "get": {
        "description": "Process OAuth authorization for device onboarding",
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "query",
            "name": "relayState",
            "required": true,
            "schema": {
              "type": "string",
              "example": "eyJzY29wZSI6InR5cGU9enQtY3BlIHV1aWQ9ZGV2aWNlLXV1aWQtMTIzIGhvc3RuYW1lPWRldmljZS5leGFtcGxlLmNvbSIsInN0YXRlIjoic3RhdGUtMTIzNDUiLCJjb2RlX2NoYWxsZW5nZSI6ImNvZGUtY2hhbGxlbmdlLTEyMzQ1IiwiY29kZV9jaGFsbGVuZ2VfbWV0aG9kIjoiUzI1NiIsInB0IjoiaGFyZHdhcmUiLCJibSI6InAifQ=="
            },
            "description": "Base64 encoded relay state containing OAuth parameters"
          }
        ],
        "responses": {
          "200": {
            "description": "Authorization code generated successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1DevicesOauthAuthorizationGetResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad request - Invalid relay state or parameters"
          },
          "401": {
            "description": "Unauthorized - Invalid or missing token"
          },
          "500": {
            "description": "Internal server error"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "v1DevicesOauthAuthorizationGetResponse": {
        "type": "object",
        "properties": {
          "auth_code": {
            "type": "string",
            "example": "auth-code-12345",
            "description": "OAuth authorization code"
          }
        }
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

